Creates a new unavailability
Request Information
URI Parameters :
None.
Body Parameters :
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Request Formats :
application/json, text/json
{
"id": "59dc2e92-0c57-4457-9cf1-4ee6d5fa35e0",
"date_start": "2026-11-12T20:49:21.8621489+00:00",
"date_end": "2026-11-12T20:49:21.8621489+00:00",
"modified_dateutc": "2026-11-12T20:49:21.8621489+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "6fa21ae0-2cf7-40bc-a4d4-7c5ed0247012",
"user_code": "sample string 8",
"user": {
"id": "31843c61-f91c-4c3e-9fb9-f1718149017e",
"db_language_id": "30e99c57-8265-4580-823d-627d5a169471",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-12T20:49:21.8621489+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "ac18904e-fb34-4b53-b60d-dfbaee8c0023",
"sales_organization": {
"id": "202b7bf4-6d9a-424e-b517-556fcd21dc62",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "ede46fe3-98e0-4bf4-9b66-f30fbcbc3dec",
"db_currency_id": "33682a11-e4e2-49dc-86bd-f59e0f1406c9",
"db_language_id": "ba38fc54-c4f3-46d3-8794-00b50373e5e2",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T20:49:21.8621489+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "edf0c7b0-dfa9-40f2-9d04-9a70c59e4f04",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "1d861c88-448f-41e1-8c78-99b7b989a3ce",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-12T20:49:21.8621489+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "5cf96dfa-acdc-4da8-9c05-c73ea0e2676a"
},
"user_unavailability_type_id": "50913489-8fed-4908-b50e-23537bc0cba9",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "7f5b6c5b-1e91-4551-b9d6-b2e0ce894dfb",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "d17285b4-2e71-44bf-92ba-140796e474b7",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "202b7bf4-6d9a-424e-b517-556fcd21dc62",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "ede46fe3-98e0-4bf4-9b66-f30fbcbc3dec",
"db_currency_id": "33682a11-e4e2-49dc-86bd-f59e0f1406c9",
"db_language_id": "ba38fc54-c4f3-46d3-8794-00b50373e5e2",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T20:49:21.8621489+00:00"
},
"modified_dateutc": "2026-11-12T20:49:21.8621489+00:00"
}
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.